petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPFETIDPSetInnerBDDC

Sets the BDDC preconditioner used to setup the FETI-DP matrix for the Lagrange multipliers

### Synopsis

    #include <petscksp.h>
    PetscErrorCode KSPFETIDPSetInnerBDDC(KSP ksp, PC pc)

Collective on ksp

### Input Parameters

| ksp | - the FETI-DP Krylov solver
| pc | - the BDDC preconditioner

### Notes

### See Also

MATIS, PCBDDC, KSPFETIDPGetInnerBDDC, KSPFETIDPGetInnerKSP

### Level

advanced

### Location

src/ksp/ksp/impls/fetidp/fetidp.c

### Examples

src/ksp/ksp/examples/tutorials/ex59.c.html

### Implementations

KSPFETIDPSetInnerBDDC_FETIDP in src/ksp/ksp/impls/fetidp/fetidp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages